Bug 78510 - FILEOPEN: MSO ODT - Bullet points in wrong location
Summary: FILEOPEN: MSO ODT - Bullet points in wrong location
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: odf
Keywords:
Depends on:
Blocks: ODF-import Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2014-05-10 00:03 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-01 02:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
word 2013 .odt file (44.22 KB, application/vnd.oasis.opendocument.text)
2014-05-10 00:03 UTC, Yousuf Philips (jay) (retired)
Details
shows the bullet list in word 2013, LibO and calligra words (153.65 KB, image/jpeg)
2014-05-10 00:04 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-10 00:03:32 UTC
Created attachment 98796 [details]
word 2013 .odt file

I download the .docx file found at < http://download.microsoft.com/documents/uk/partner/publicsector/DraftMicrosoftResponsetoGovernment.docx > and opened it in word 2013 and saved it as an .odt file. I then opened the file in LibO and on page 17, the bullet list bullets are not in the correct location.

This was tested in Linux Mint on the last releases from 3.6 to 4.2 and 4.3 alpha. It shows correctly in calligra words.
Comment 1 Yousuf Philips (jay) (retired) 2014-05-10 00:04:16 UTC
Created attachment 98797 [details]
shows the bullet list in word 2013, LibO and calligra words
Comment 2 Cor Nouws 2014-05-11 08:47:57 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2014-09-26 08:52:23 UTC
I'm seeing the bullets outside the paragraphs like in the word & calligra screenshots, but there is still an unnecessary indent for the bullets.

Version: 4.4.0.0.alpha0+
Build ID: 0a32edcdc2bda75a7536ce7f88c91cbc56e7afb1
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-24_00:45:04
Comment 4 Yousuf Philips (jay) (retired) 2014-09-26 21:30:57 UTC
Problem still present in master.

Version: 4.4.0.0.alpha0+
Build ID: df73f4115cfe4d07e4159adf087571687eb173ec
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-09-25_23:36:54

In Word, left indent is 0.13" and hanging is 0.25". In LibO, only left indent is set to 0.37".
Comment 5 QA Administrators 2015-10-14 19:57:19 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2016-11-08 11:51:27 UTC Comment hidden (obsolete)
Comment 7 vihsa 2017-06-01 06:37:33 UTC
reproducible with lo viewer version: 5.5.0.0.alpha0+ / build id : ec79f34 / android 5.1
Comment 8 vihsa 2017-09-05 05:00:42 UTC
repro
lo viewer v1
lo viewer v4
lo viewer v6
lo viewer v8
Comment 9 Yousuf Philips (jay) (retired) 2017-09-30 16:56:38 UTC
Still repo.

Version: 6.0.0.0.alpha0+
Build ID: 13df3777e4b6ff7537692b396be67a5fd2b9b001 [2017-09-29]
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 10 QA Administrators 2018-10-01 02:54:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug